{
  "layers": [
    {
      "name": "UP",
      "timing_points": [
        {
          "time": 15381,
          "position": "Vector2( 936.611, 314.666 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": -305.137494,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 19881,
          "position": "Vector2( 632.14, 202.195 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 170,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "end_time": 21006,
          "type": "SustainNote"
        },
        {
          "time": 31881,
          "position": "Vector2( 894.668, 296.297 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 106,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "end_time": 33006,
          "type": "SustainNote"
        },
        {
          "time": 40131,
          "position": "Vector2( 638.011, 574.452 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 296,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 42006,
          "position": "Vector2( 1575.7, 415.685 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 79,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 46131,
          "position": "Vector2( 1425.12, 170.155 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": -346,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 48006,
          "position": "Vector2( 854.73, 473.992 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 93,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 52131,
          "position": "Vector2( 672, 252 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 180,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 53631,
          "position": "Vector2( 1017.72, 492.797 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 90,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 55881,
          "position": "Vector2( 1171.44, 444 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 297.349291,
          "oscillation_amplitude": 900,
          "end_time": 56631,
          "type": "SustainNote"
        },
        {
          "time": 61881,
          "position": "Vector2( 759.765, 572.235 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": -145,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 67131,
          "position": "Vector2( 480, 396 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 98,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 87381,
          "position": "Vector2( 1285.43, 274.901 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": -321.532421,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 93381,
          "position": "Vector2( 1401.22, 532.762 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": -71.289685,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 109881,
          "position": "Vector2( 432, 228 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": -267.485742,
          "oscillation_amplitude": 900,
          "end_time": 110631,
          "type": "SustainNote"
        },
        {
          "time": 3193,
          "position": "Vector2( 1153.78, 381.951 )",
          "distance": 1232,
          "note_type": 0,
          "entry_angle": 10,
          "oscillation_amplitude": 544,
          "type": "Note"
        },
        {
          "time": 3006,
          "position": "Vector2( 1153.78, 477.695 )",
          "distance": 1228,
          "note_type": 0,
          "entry_angle": 5,
          "oscillation_amplitude": 538,
          "type": "Note"
        },
        {
          "time": 2818,
          "position": "Vector2( 1153.78, 573.951 )",
          "distance": 1224,
          "note_type": 0,
          "oscillation_amplitude": 532,
          "type": "Note"
        },
        {
          "time": 8818,
          "position": "Vector2( 1416.93, 400.105 )",
          "distance": 1374,
          "note_type": 0,
          "entry_angle": 112.56,
          "oscillation_amplitude": 732,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 9006,
          "position": "Vector2( 1323.14, 381.399 )",
          "distance": 1378,
          "note_type": 0,
          "entry_angle": 90,
          "oscillation_amplitude": 738,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 9193,
          "position": "Vector2( 1229.82, 399.909 )",
          "distance": 1382,
          "note_type": 0,
          "entry_angle": 67.56,
          "oscillation_amplitude": 744,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 6193,
          "position": "Vector2( 868.38, 496.734 )",
          "distance": 1308,
          "note_type": 0,
          "entry_angle": -20,
          "oscillation_amplitude": 644,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 6006,
          "position": "Vector2( 868.38, 400.99 )",
          "distance": 1304,
          "note_type": 0,
          "entry_angle": -10,
          "oscillation_amplitude": 638,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 5818,
          "position": "Vector2( 868.38, 304.734 )",
          "distance": 1298,
          "note_type": 0,
          "oscillation_amplitude": 632,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 13506,
          "position": "Vector2( 962.334, 386.666 )",
          "distance": 1490,
          "note_type": 0,
          "entry_angle": 90,
          "oscillation_amplitude": 888,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 13318,
          "position": "Vector2( 1058.59, 386.666 )",
          "distance": 1486,
          "note_type": 0,
          "entry_angle": 90,
          "oscillation_amplitude": 882,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 13693,
          "position": "Vector2( 866.59, 386.666 )",
          "distance": 1496,
          "note_type": 0,
          "entry_angle": 90,
          "oscillation_amplitude": 894,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 28881,
          "position": "Vector2( 1455.79, 402.142 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": -246.793472,
          "oscillation_amplitude": 900,
          "end_time": 30756,
          "type": "SustainNote"
        },
        {
          "time": 53818,
          "position": "Vector2( 1112.85, 502.142 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 101.22,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 65818,
          "position": "Vector2( 807.145, 502.142 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 78.78,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 65631,
          "position": "Vector2( 902.279, 492.797 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 90,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 64131,
          "position": "Vector2( 1248, 252 )",
          "distance": 1500,
          "note_type": 0,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 70881,
          "position": "Vector2( 350.875, 194.155 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 82.938839,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "end_time": 73131,
          "type": "SustainNote"
        },
        {
          "time": 85693,
          "position": "Vector2( 1053.41, 386.666 )",
          "distance": 1496,
          "note_type": 0,
          "entry_angle": 90,
          "oscillation_amplitude": 894,
          "type": "Note"
        },
        {
          "time": 85506,
          "position": "Vector2( 957.666, 386.666 )",
          "distance": 1490,
          "note_type": 0,
          "entry_angle": 90,
          "oscillation_amplitude": 888,
          "type": "Note"
        },
        {
          "time": 85318,
          "position": "Vector2( 861.41, 386.666 )",
          "distance": 1486,
          "note_type": 0,
          "entry_angle": 90,
          "oscillation_amplitude": 882,
          "type": "Note"
        },
        {
          "time": 81193,
          "position": "Vector2( 690.18, 399.909 )",
          "distance": 1382,
          "note_type": 0,
          "entry_angle": 112.44,
          "oscillation_amplitude": 744,
          "type": "Note"
        },
        {
          "time": 81006,
          "position": "Vector2( 596.86, 381.399 )",
          "distance": 1378,
          "note_type": 0,
          "entry_angle": 90,
          "oscillation_amplitude": 738,
          "type": "Note"
        },
        {
          "time": 80818,
          "position": "Vector2( 503.07, 400.105 )",
          "distance": 1374,
          "note_type": 0,
          "entry_angle": 67.44,
          "oscillation_amplitude": 732,
          "type": "Note"
        },
        {
          "time": 78193,
          "position": "Vector2( 1051.62, 496.734 )",
          "distance": 1308,
          "note_type": 0,
          "entry_angle": 200,
          "oscillation_amplitude": 644,
          "type": "Note"
        },
        {
          "time": 78006,
          "position": "Vector2( 1051.62, 400.99 )",
          "distance": 1304,
          "note_type": 0,
          "entry_angle": 190,
          "oscillation_amplitude": 638,
          "type": "Note"
        },
        {
          "time": 77818,
          "position": "Vector2( 1051.62, 304.734 )",
          "distance": 1298,
          "note_type": 0,
          "entry_angle": 180,
          "oscillation_amplitude": 632,
          "type": "Note"
        },
        {
          "time": 75193,
          "position": "Vector2( 766.22, 381.951 )",
          "distance": 1232,
          "note_type": 0,
          "entry_angle": 170,
          "oscillation_amplitude": 544,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 75006,
          "position": "Vector2( 766.22, 477.695 )",
          "distance": 1228,
          "note_type": 0,
          "entry_angle": 175,
          "oscillation_amplitude": 538,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 74818,
          "position": "Vector2( 766.22, 573.951 )",
          "distance": 1224,
          "note_type": 0,
          "entry_angle": 180,
          "oscillation_amplitude": 532,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 91881,
          "position": "Vector2( 1593.22, 532.762 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 241.922816,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "end_time": 93006,
          "type": "SustainNote"
        },
        {
          "time": 105381,
          "position": "Vector2( 960, 179.744 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": -190,
          "oscillation_amplitude": 900,
          "end_time": 106131,
          "type": "SustainNote"
        },
        {
          "time": 114006,
          "position": "Vector2( 1056, 300 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 123,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 118131,
          "position": "Vector2( 1019.07, 802.532 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 270,
          "oscillation_amplitude": 900,
          "type": "DoubleNote"
        },
        {
          "time": 120006,
          "position": "Vector2( 729.47, 425.159 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 90,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "DoubleNote"
        },
        {
          "time": 142881,
          "position": "Vector2( 1569.12, 194.155 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 97.061161,
          "oscillation_amplitude": 900,
          "end_time": 145131,
          "type": "SustainNote"
        },
        {
          "time": 139131,
          "position": "Vector2( 1440, 396 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 82,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 137818,
          "position": "Vector2( 1112.85, 502.142 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 101.22,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 137631,
          "position": "Vector2( 1017.72, 492.797 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 90,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 136131,
          "position": "Vector2( 672, 252 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 180,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 133881,
          "position": "Vector2( 1160.23, 572.235 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 325,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 127881,
          "position": "Vector2( 748.56, 444 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": -117.349291,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "end_time": 128631,
          "type": "SustainNote"
        },
        {
          "time": 125818,
          "position": "Vector2( 807.15, 502.142 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 78.78,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 125631,
          "position": "Vector2( 902.28, 492.797 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 90,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 124131,
          "position": "Vector2( 1248, 252 )",
          "distance": 1500,
          "note_type": 0,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 157318,
          "position": "Vector2( 1059, 669 )",
          "distance": 1486,
          "note_type": 0,
          "entry_angle": 242.990405,
          "oscillation_amplitude": 882,
          "type": "Note"
        },
        {
          "time": 155631,
          "position": "Vector2( 1150, 281.279 )",
          "distance": 1444,
          "note_type": 0,
          "entry_angle": -260,
          "oscillation_amplitude": 826,
          "type": "Note"
        },
        {
          "time": 155443,
          "position": "Vector2( 1053.74, 281.279 )",
          "distance": 1440,
          "note_type": 0,
          "entry_angle": -265,
          "oscillation_amplitude": 818,
          "type": "Note"
        },
        {
          "time": 153193,
          "position": "Vector2( 1229.82, 680.091 )",
          "distance": 1382,
          "note_type": 0,
          "entry_angle": -67.56,
          "oscillation_amplitude": 744,
          "type": "Note"
        },
        {
          "time": 153006,
          "position": "Vector2( 1323.14, 698.601 )",
          "distance": 1378,
          "note_type": 0,
          "entry_angle": -90,
          "oscillation_amplitude": 738,
          "type": "Note"
        },
        {
          "time": 152818,
          "position": "Vector2( 1416.93, 679.895 )",
          "distance": 1374,
          "note_type": 0,
          "entry_angle": -112.56,
          "oscillation_amplitude": 732,
          "type": "Note"
        },
        {
          "time": 147193,
          "position": "Vector2( 1153.78, 698.049 )",
          "distance": 1232,
          "note_type": 0,
          "entry_angle": -10,
          "oscillation_amplitude": 544,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 147006,
          "position": "Vector2( 1153.78, 602.305 )",
          "distance": 1228,
          "note_type": 0,
          "entry_angle": -5,
          "oscillation_amplitude": 538,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 146818,
          "position": "Vector2( 1153.78, 506.049 )",
          "distance": 1224,
          "note_type": 0,
          "oscillation_amplitude": 532,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 149631,
          "position": "Vector2( 772.636, 775.266 )",
          "distance": 1294,
          "note_type": 0,
          "entry_angle": -247,
          "oscillation_amplitude": 626,
          "type": "Note"
        },
        {
          "time": 149443,
          "position": "Vector2( 693.091, 722.176 )",
          "distance": 1290,
          "note_type": 0,
          "entry_angle": -217,
          "oscillation_amplitude": 618,
          "type": "Note"
        },
        {
          "time": 149162,
          "position": "Vector2( 626.212, 597.133 )",
          "distance": 1282,
          "note_type": 0,
          "entry_angle": -187,
          "oscillation_amplitude": 610,
          "type": "Note"
        },
        {
          "time": 148881,
          "position": "Vector2( 640, 456 )",
          "distance": 1276,
          "note_type": 0,
          "entry_angle": -157,
          "oscillation_amplitude": 600,
          "type": "Note"
        },
        {
          "time": 155162,
          "position": "Vector2( 909.872, 281.279 )",
          "distance": 1432,
          "note_type": 0,
          "entry_angle": -270,
          "oscillation_amplitude": 810,
          "type": "Note"
        },
        {
          "time": 154881,
          "position": "Vector2( 766, 281.279 )",
          "distance": 1426,
          "note_type": 0,
          "entry_angle": -270,
          "oscillation_amplitude": 800,
          "type": "Note"
        },
        {
          "time": 67506,
          "position": "Vector2( 670.131, 422.721 )",
          "distance": 1500,
          "note_type": 0,
          "entry_angle": 103,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 157506,
          "position": "Vector2( 965.212, 687.707 )",
          "distance": 1490,
          "note_type": 0,
          "entry_angle": 229.449595,
          "oscillation_amplitude": 888,
          "type": "Note"
        }
      ]
    },
    {
      "name": "LEFT",
      "timing_points": [
        {
          "time": 9381,
          "position": "Vector2( 1150.28, 453 )",
          "distance": 1388,
          "note_type": 1,
          "entry_angle": 45,
          "oscillation_amplitude": 750,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 9662,
          "position": "Vector2( 1006.41, 453 )",
          "distance": 1394,
          "note_type": 1,
          "entry_angle": 270,
          "oscillation_amplitude": 760,
          "type": "Note"
        },
        {
          "time": 28131,
          "position": "Vector2( 1086.67, 507.986 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": -308.991374,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 41631,
          "position": "Vector2( 1391.14, 468.607 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 74,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 43881,
          "position": "Vector2( 733.293, 425.98 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 210,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 45756,
          "position": "Vector2( 1240.56, 223.078 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 79,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 62631,
          "position": "Vector2( 488.236, 300.706 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 90,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 69381,
          "position": "Vector2( 1104, 324 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 106,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 70131,
          "position": "Vector2( 734.875, 218.155 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 94.469419,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 47631,
          "position": "Vector2( 1044.86, 500.713 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 98,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 3381,
          "position": "Vector2( 1154, 286 )",
          "distance": 1238,
          "note_type": 1,
          "entry_angle": 90,
          "oscillation_amplitude": 550,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 3662,
          "position": "Vector2( 1018.29, 327.128 )",
          "distance": 1244,
          "note_type": 1,
          "entry_angle": 56.28,
          "oscillation_amplitude": 560,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 3943,
          "position": "Vector2( 928.245, 436.674 )",
          "distance": 1252,
          "note_type": 1,
          "entry_angle": 22.56,
          "oscillation_amplitude": 568,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 4131,
          "position": "Vector2( 909.538, 530.462 )",
          "distance": 1256,
          "note_type": 1,
          "oscillation_amplitude": 576,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 9943,
          "position": "Vector2( 862.535, 453 )",
          "distance": 1402,
          "note_type": 1,
          "entry_angle": 265,
          "oscillation_amplitude": 768,
          "type": "Note"
        },
        {
          "time": 10131,
          "position": "Vector2( 766.279, 453 )",
          "distance": 1406,
          "note_type": 1,
          "entry_angle": 260,
          "oscillation_amplitude": 776,
          "type": "Note"
        },
        {
          "time": 12943,
          "position": "Vector2( 1250.59, 410.666 )",
          "distance": 1476,
          "note_type": 1,
          "entry_angle": 90,
          "oscillation_amplitude": 868,
          "oscillation_frequency": -2,
          "type": "DoubleNote"
        },
        {
          "time": 13131,
          "position": "Vector2( 1154.33, 410.666 )",
          "distance": 1482,
          "note_type": 1,
          "entry_angle": 90,
          "oscillation_amplitude": 876,
          "oscillation_frequency": -2,
          "type": "DoubleNote"
        },
        {
          "time": 21381,
          "position": "Vector2( 893.33, 342.302 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 90,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 31506,
          "position": "Vector2( 1079.23, 349.219 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 106,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 34881,
          "position": "Vector2( 1142.9, 432.061 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": -332.517004,
          "oscillation_amplitude": 900,
          "end_time": 37506,
          "type": "SustainNote"
        },
        {
          "time": 39756,
          "position": "Vector2( 822.573, 627.374 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 291,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 53443,
          "position": "Vector2( 922.086, 502.242 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 78.72,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 53256,
          "position": "Vector2( 830.618, 530.015 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 67.5,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 57381,
          "position": "Vector2( 791.18, 390.558 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 43.868905,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 64506,
          "position": "Vector2( 1248, 444 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": -7,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 66193,
          "position": "Vector2( 630.86, 575.054 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 56.28,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 66006,
          "position": "Vector2( 715.18, 530.015 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 67.5,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 74631,
          "position": "Vector2( 859.54, 592.462 )",
          "distance": 1218,
          "note_type": 1,
          "entry_angle": 90,
          "oscillation_amplitude": 526,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 74443,
          "position": "Vector2( 953.326, 573.755 )",
          "distance": 1214,
          "note_type": 1,
          "entry_angle": 60,
          "oscillation_amplitude": 518,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 74162,
          "position": "Vector2( 1062.87, 483.709 )",
          "distance": 1208,
          "note_type": 1,
          "entry_angle": 30,
          "oscillation_amplitude": 510,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 73881,
          "position": "Vector2( 1104, 348 )",
          "note_type": 1,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 77631,
          "position": "Vector2( 1147.36, 304.734 )",
          "distance": 1294,
          "note_type": 1,
          "entry_angle": -67,
          "oscillation_amplitude": 626,
          "type": "Note"
        },
        {
          "time": 77443,
          "position": "Vector2( 1226.91, 357.824 )",
          "distance": 1290,
          "note_type": 1,
          "entry_angle": -37,
          "oscillation_amplitude": 618,
          "type": "Note"
        },
        {
          "time": 77162,
          "position": "Vector2( 1293.79, 482.867 )",
          "distance": 1282,
          "note_type": 1,
          "entry_angle": -7,
          "oscillation_amplitude": 610,
          "type": "Note"
        },
        {
          "time": 76881,
          "position": "Vector2( 1280, 624 )",
          "distance": 1276,
          "note_type": 1,
          "entry_angle": 23,
          "oscillation_amplitude": 600,
          "type": "Note"
        },
        {
          "time": 80631,
          "position": "Vector2( 423.54, 453.462 )",
          "distance": 1368,
          "note_type": 1,
          "entry_angle": 165,
          "oscillation_amplitude": 726,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 80443,
          "position": "Vector2( 423.54, 549.718 )",
          "distance": 1364,
          "note_type": 1,
          "entry_angle": 170,
          "oscillation_amplitude": 718,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 80162,
          "position": "Vector2( 423.54, 693.59 )",
          "distance": 1358,
          "note_type": 1,
          "entry_angle": 175,
          "oscillation_amplitude": 710,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 79881,
          "position": "Vector2( 423.54, 837.462 )",
          "distance": 1350,
          "note_type": 1,
          "entry_angle": 180,
          "oscillation_amplitude": 700,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 83162,
          "position": "Vector2( 1010.13, 798.721 )",
          "distance": 1432,
          "note_type": 1,
          "entry_angle": -90,
          "oscillation_amplitude": 810,
          "type": "Note"
        },
        {
          "time": 82881,
          "position": "Vector2( 1154, 798.721 )",
          "distance": 1426,
          "note_type": 1,
          "entry_angle": -90,
          "oscillation_amplitude": 800,
          "type": "Note"
        },
        {
          "time": 91506,
          "position": "Vector2( 1408.65, 585.684 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 245.432464,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 94881,
          "position": "Vector2( 784.471, 436.471 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": -153.642778,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "end_time": 97131,
          "type": "SustainNote"
        },
        {
          "time": 99381,
          "position": "Vector2( 928.405, 578.516 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 270,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "end_time": 100131,
          "type": "SustainNote"
        },
        {
          "time": 103881,
          "position": "Vector2( 960, 468 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": -185,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "end_time": 104818,
          "type": "SustainNote"
        },
        {
          "time": 113631,
          "position": "Vector2( 878.81, 229.309 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 100.5,
          "oscillation_amplitude": 900,
          "type": "DoubleNote"
        },
        {
          "time": 114568,
          "position": "Vector2( 1191.76, 531.508 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": -3,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 114381,
          "position": "Vector2( 1191.76, 435.764 )",
          "distance": 1500,
          "note_type": 1,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 115131,
          "position": "Vector2( 1191.76, 819.764 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": -12,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 114943,
          "position": "Vector2( 1191.76, 723.508 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": -9,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 117756,
          "position": "Vector2( 1203.63, 749.61 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 270,
          "oscillation_amplitude": 900,
          "type": "DoubleNote"
        },
        {
          "time": 118881,
          "position": "Vector2( 642.51, 749.61 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": -74,
          "oscillation_amplitude": 900,
          "type": "DoubleNote"
        },
        {
          "time": 134631,
          "position": "Vector2( 1431.76, 300.706 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 90,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 121881,
          "position": "Vector2( 815.74, 810.557 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 276,
          "oscillation_amplitude": 900,
          "type": "DoubleNote"
        },
        {
          "time": 121693,
          "position": "Vector2( 912, 828 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 271,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 121506,
          "position": "Vector2( 1007.74, 810.66 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 266,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 126006,
          "position": "Vector2( 715.18, 530.015 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 67.5,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 130131,
          "position": "Vector2( 1400.35, 662.087 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 225.123571,
          "oscillation_amplitude": 900,
          "end_time": 130412,
          "type": "SustainNote"
        },
        {
          "time": 137443,
          "position": "Vector2( 922.086, 502.242 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 78.72,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 137256,
          "position": "Vector2( 830.62, 530.015 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 67.5,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 126381,
          "position": "Vector2( 556.56, 636 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 45,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "end_time": 127131,
          "type": "SustainNote"
        },
        {
          "time": 139506,
          "position": "Vector2( 1249.87, 422.721 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 77,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 154131,
          "position": "Vector2( 766.279, 627 )",
          "distance": 1406,
          "note_type": 1,
          "entry_angle": 84.436207,
          "oscillation_amplitude": 776,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 153943,
          "position": "Vector2( 862.535, 627 )",
          "distance": 1402,
          "note_type": 1,
          "entry_angle": 95.480608,
          "oscillation_amplitude": 768,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 153662,
          "position": "Vector2( 1006.41, 627 )",
          "distance": 1394,
          "note_type": 1,
          "entry_angle": 111.988462,
          "oscillation_amplitude": 760,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 153381,
          "position": "Vector2( 1150.28, 627 )",
          "distance": 1388,
          "note_type": 1,
          "entry_angle": 128.496317,
          "oscillation_amplitude": 750,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 148506,
          "position": "Vector2( 831.793, 456.223 )",
          "distance": 1266,
          "note_type": 1,
          "entry_angle": -85,
          "oscillation_amplitude": 588,
          "type": "Note"
        },
        {
          "time": 148318,
          "position": "Vector2( 928.049, 456.223 )",
          "distance": 1260,
          "note_type": 1,
          "entry_angle": -90,
          "oscillation_amplitude": 582,
          "type": "Note"
        },
        {
          "time": 148693,
          "position": "Vector2( 736.049, 456.223 )",
          "distance": 1270,
          "note_type": 1,
          "entry_angle": -80,
          "oscillation_amplitude": 594,
          "type": "Note"
        },
        {
          "time": 83631,
          "position": "Vector2( 770, 798.721 )",
          "distance": 1444,
          "note_type": 1,
          "entry_angle": -80,
          "oscillation_amplitude": 826,
          "type": "Note"
        },
        {
          "time": 83443,
          "position": "Vector2( 866.256, 798.721 )",
          "distance": 1440,
          "note_type": 1,
          "entry_angle": -85,
          "oscillation_amplitude": 818,
          "type": "Note"
        },
        {
          "time": 13881,
          "position": "Vector2( 770.334, 410.666 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 90,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "end_time": 15006,
          "type": "SustainNote"
        },
        {
          "time": 66381,
          "position": "Vector2( 556.557, 636 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 45,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "end_time": 66756,
          "type": "SustainNote"
        },
        {
          "time": 70506,
          "position": "Vector2( 542.875, 194.155 )",
          "distance": 1500,
          "note_type": 1,
          "entry_angle": 88.704129,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 157131,
          "position": "Vector2( 1154.33, 669.334 )",
          "distance": 1482,
          "note_type": 1,
          "entry_angle": 256.45919,
          "oscillation_amplitude": 876,
          "type": "DoubleNote"
        },
        {
          "time": 156943,
          "position": "Vector2( 1250.59, 669.334 )",
          "distance": 1476,
          "note_type": 1,
          "entry_angle": 270,
          "oscillation_amplitude": 868,
          "type": "DoubleNote"
        },
        {
          "time": 156662,
          "position": "Vector2( 1394.46, 669.334 )",
          "distance": 1470,
          "note_type": 1,
          "entry_angle": -90,
          "oscillation_amplitude": 860,
          "type": "Note"
        }
      ]
    },
    {
      "name": "DOWN",
      "timing_points": [
        {
          "time": 12662,
          "position": "Vector2( 1394.46, 410.666 )",
          "distance": 1470,
          "note_type": 2,
          "entry_angle": 90,
          "oscillation_amplitude": 860,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 69756,
          "position": "Vector2( 919.438, 271.078 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 100.23471,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 25881,
          "position": "Vector2( 525.544, 613.831 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": -85,
          "oscillation_amplitude": 900,
          "end_time": 27006,
          "type": "SustainNote"
        },
        {
          "time": 31131,
          "position": "Vector2( 1263.79, 402.142 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 106,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 40881,
          "position": "Vector2( 1022.01, 574.452 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 254,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 42756,
          "position": "Vector2( 1247.93, 303.92 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 86,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 45381,
          "position": "Vector2( 1056, 276 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 74,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 46881,
          "position": "Vector2( 1425.12, 554.155 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 278,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 51381,
          "position": "Vector2( 991.789, 539.028 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": -51.404791,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 52881,
          "position": "Vector2( 672, 636 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 45,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 53068,
          "position": "Vector2( 745.877, 575.338 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 56.22,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 55506,
          "position": "Vector2( 1363.44, 444 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 297.349291,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 58881,
          "position": "Vector2( 960, 684 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": -92,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "end_time": 61131,
          "type": "SustainNote"
        },
        {
          "time": 94131,
          "position": "Vector2( 1056, 708 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": -355.065699,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 103131,
          "position": "Vector2( 960, 852 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": -175,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 106881,
          "position": "Vector2( 688.471, 451.273 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": -252.653965,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "end_time": 109131,
          "type": "SustainNote"
        },
        {
          "time": 118506,
          "position": "Vector2( 827.07, 802.532 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 270,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 111381,
          "position": "Vector2( 703.529, 499.529 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 74,
          "oscillation_amplitude": 900,
          "type": "DoubleNote"
        },
        {
          "time": 112881,
          "position": "Vector2( 512.78, 307.111 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 55.5,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "DoubleNote"
        },
        {
          "time": 4693,
          "position": "Vector2( 736.049, 623.777 )",
          "distance": 1270,
          "note_type": 2,
          "entry_angle": 95.677886,
          "oscillation_amplitude": 594,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 4506,
          "position": "Vector2( 831.793, 623.777 )",
          "distance": 1266,
          "note_type": 2,
          "entry_angle": 113.222622,
          "oscillation_amplitude": 588,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 4318,
          "position": "Vector2( 928.049, 623.777 )",
          "distance": 1260,
          "note_type": 2,
          "entry_angle": 130.861181,
          "oscillation_amplitude": 582,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 10693,
          "position": "Vector2( 712.909, 719.176 )",
          "distance": 1420,
          "note_type": 2,
          "entry_angle": 157.56,
          "oscillation_amplitude": 794,
          "type": "Note"
        },
        {
          "time": 10506,
          "position": "Vector2( 694.399, 625.861 )",
          "distance": 1416,
          "note_type": 2,
          "entry_angle": 180,
          "oscillation_amplitude": 788,
          "type": "Note"
        },
        {
          "time": 10318,
          "position": "Vector2( 713.105, 532.073 )",
          "distance": 1410,
          "note_type": 2,
          "entry_angle": 202.56,
          "oscillation_amplitude": 782,
          "type": "Note"
        },
        {
          "time": 7693,
          "position": "Vector2( 1400.21, 837.462 )",
          "distance": 1346,
          "note_type": 2,
          "entry_angle": 267.049252,
          "oscillation_amplitude": 694,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 7506,
          "position": "Vector2( 1304.46, 837.462 )",
          "distance": 1340,
          "note_type": 2,
          "entry_angle": 277.758305,
          "oscillation_amplitude": 688,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 7318,
          "position": "Vector2( 1208.21, 837.462 )",
          "distance": 1336,
          "note_type": 2,
          "entry_angle": 288.524626,
          "oscillation_amplitude": 682,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 16131,
          "position": "Vector2( 1208.14, 586.195 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 275.008828,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 19131,
          "position": "Vector2( 632.14, 586.195 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 180,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 22131,
          "position": "Vector2( 621.8, 613.831 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 270,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 37881,
          "position": "Vector2( 1007.14, 296.297 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": -174.834162,
          "oscillation_amplitude": 900,
          "end_time": 38631,
          "type": "SustainNote"
        },
        {
          "time": 49881,
          "position": "Vector2( 1104.26, 810.557 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": -96,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "DoubleNote"
        },
        {
          "time": 49693,
          "position": "Vector2( 1008, 828 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": -91,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 49506,
          "position": "Vector2( 912.26, 810.66 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": -86,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 54381,
          "position": "Vector2( 1363.44, 636 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 135,
          "oscillation_amplitude": 900,
          "end_time": 55131,
          "type": "SustainNote"
        },
        {
          "time": 65068,
          "position": "Vector2( 1174.12, 575.338 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 123.78,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 64881,
          "position": "Vector2( 1248, 636 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 135,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 63381,
          "position": "Vector2( 868.499, 354.149 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 173.248308,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 84662,
          "position": "Vector2( 525.538, 410.666 )",
          "distance": 1470,
          "note_type": 2,
          "entry_angle": 90,
          "oscillation_amplitude": 860,
          "type": "Note"
        },
        {
          "time": 82693,
          "position": "Vector2( 1207.09, 719.176 )",
          "distance": 1420,
          "note_type": 2,
          "entry_angle": 22.44,
          "oscillation_amplitude": 794,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 82506,
          "position": "Vector2( 1225.6, 625.861 )",
          "distance": 1416,
          "note_type": 2,
          "oscillation_amplitude": 788,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 82318,
          "position": "Vector2( 1206.89, 532.073 )",
          "distance": 1410,
          "note_type": 2,
          "entry_angle": -22.56,
          "oscillation_amplitude": 782,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 79693,
          "position": "Vector2( 519.79, 837.462 )",
          "distance": 1346,
          "note_type": 2,
          "entry_angle": -87.049252,
          "oscillation_amplitude": 694,
          "type": "Note"
        },
        {
          "time": 79506,
          "position": "Vector2( 615.54, 837.462 )",
          "distance": 1340,
          "note_type": 2,
          "entry_angle": -97.758305,
          "oscillation_amplitude": 688,
          "type": "Note"
        },
        {
          "time": 79318,
          "position": "Vector2( 711.79, 837.462 )",
          "distance": 1336,
          "note_type": 2,
          "entry_angle": -108.524626,
          "oscillation_amplitude": 682,
          "type": "Note"
        },
        {
          "time": 76693,
          "position": "Vector2( 1183.95, 623.777 )",
          "distance": 1270,
          "note_type": 2,
          "entry_angle": 100,
          "oscillation_amplitude": 594,
          "type": "Note"
        },
        {
          "time": 76506,
          "position": "Vector2( 1088.21, 623.777 )",
          "distance": 1266,
          "note_type": 2,
          "entry_angle": 95,
          "oscillation_amplitude": 588,
          "type": "Note"
        },
        {
          "time": 76318,
          "position": "Vector2( 991.951, 623.777 )",
          "distance": 1260,
          "note_type": 2,
          "entry_angle": 90,
          "oscillation_amplitude": 582,
          "type": "Note"
        },
        {
          "time": 88131,
          "position": "Vector2( 768, 420 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": -40.849335,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 100881,
          "position": "Vector2( 1312.41, 578.516 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": -27.577089,
          "oscillation_amplitude": 900,
          "end_time": 102756,
          "type": "SustainNote"
        },
        {
          "time": 111756,
          "position": "Vector2( 887.091, 383.607 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 81,
          "oscillation_amplitude": 900,
          "type": "DoubleNote"
        },
        {
          "time": 113256,
          "position": "Vector2( 688.06, 231.806 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 78,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 114756,
          "position": "Vector2( 1167.76, 627.764 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": -6,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 116631,
          "position": "Vector2( 544.47, 787.529 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": -90.314705,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 119631,
          "position": "Vector2( 593.71, 560.923 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": -135,
          "oscillation_amplitude": 900,
          "type": "DoubleNote"
        },
        {
          "time": 141756,
          "position": "Vector2( 1000.56, 271.078 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 79.76529,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 139881,
          "position": "Vector2( 1059.74, 449.442 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 72,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "end_time": 140631,
          "type": "SustainNote"
        },
        {
          "time": 137068,
          "position": "Vector2( 745.88, 575.338 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 56.22,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 136881,
          "position": "Vector2( 672, 636 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 45,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 135381,
          "position": "Vector2( 1051.5, 354.149 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 6.751692,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 130881,
          "position": "Vector2( 1056, 444 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": -213.072223,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "end_time": 133131,
          "type": "SustainNote"
        },
        {
          "time": 127506,
          "position": "Vector2( 556.56, 444 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": -117.349291,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 125068,
          "position": "Vector2( 1174.12, 575.338 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 123.78,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 124881,
          "position": "Vector2( 1248, 636 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 135,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 122631,
          "position": "Vector2( 544.21, 539.028 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 312.419236,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 126193,
          "position": "Vector2( 630.86, 575.054 )",
          "distance": 1500,
          "note_type": 2,
          "entry_angle": 56.28,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 154693,
          "position": "Vector2( 712.909, 360.824 )",
          "distance": 1420,
          "note_type": 2,
          "entry_angle": -157.56,
          "oscillation_amplitude": 794,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 154506,
          "position": "Vector2( 694.399, 454.139 )",
          "distance": 1416,
          "note_type": 2,
          "entry_angle": -180,
          "oscillation_amplitude": 788,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 154318,
          "position": "Vector2( 713.105, 547.927 )",
          "distance": 1410,
          "note_type": 2,
          "entry_angle": -202.56,
          "oscillation_amplitude": 782,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 151693,
          "position": "Vector2( 1400.21, 242.538 )",
          "distance": 1346,
          "note_type": 2,
          "entry_angle": -267.049252,
          "oscillation_amplitude": 694,
          "type": "Note"
        },
        {
          "time": 151506,
          "position": "Vector2( 1304.46, 242.538 )",
          "distance": 1340,
          "note_type": 2,
          "entry_angle": -277.758305,
          "oscillation_amplitude": 688,
          "type": "Note"
        },
        {
          "time": 151318,
          "position": "Vector2( 1208.21, 242.538 )",
          "distance": 1336,
          "note_type": 2,
          "entry_angle": -288.524626,
          "oscillation_amplitude": 682,
          "type": "Note"
        },
        {
          "time": 148131,
          "position": "Vector2( 909.538, 549.538 )",
          "distance": 1256,
          "note_type": 2,
          "oscillation_amplitude": 576,
          "type": "Note"
        },
        {
          "time": 147943,
          "position": "Vector2( 928.245, 643.326 )",
          "distance": 1252,
          "note_type": 2,
          "entry_angle": -22.56,
          "oscillation_amplitude": 568,
          "type": "Note"
        },
        {
          "time": 147662,
          "position": "Vector2( 1018.29, 752.872 )",
          "distance": 1244,
          "note_type": 2,
          "entry_angle": -56.28,
          "oscillation_amplitude": 560,
          "type": "Note"
        },
        {
          "time": 147381,
          "position": "Vector2( 1154, 794 )",
          "distance": 1238,
          "note_type": 2,
          "entry_angle": -90,
          "oscillation_amplitude": 550,
          "type": "Note"
        }
      ]
    },
    {
      "name": "RIGHT",
      "timing_points": [
        {
          "time": 10881,
          "position": "Vector2( 766, 798.721 )",
          "distance": 1426,
          "entry_angle": 270,
          "oscillation_amplitude": 800,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 11162,
          "position": "Vector2( 909.872, 798.721 )",
          "distance": 1432,
          "entry_angle": 270,
          "oscillation_amplitude": 810,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 41256,
          "position": "Vector2( 1206.57, 521.529 )",
          "distance": 1500,
          "entry_angle": 249,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 44631,
          "position": "Vector2( 927.757, 641.959 )",
          "distance": 1500,
          "entry_angle": -34.950005,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 47256,
          "position": "Vector2( 1234.99, 527.434 )",
          "distance": 1500,
          "entry_angle": 283,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 48381,
          "position": "Vector2( 664.599, 447.27 )",
          "distance": 1500,
          "entry_angle": 88,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "DoubleNote"
        },
        {
          "time": 50631,
          "position": "Vector2( 1375.79, 539.028 )",
          "distance": 1500,
          "entry_angle": -132.419236,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 52506,
          "position": "Vector2( 672, 444 )",
          "distance": 1500,
          "entry_angle": 187,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 97881,
          "position": "Vector2( 928.405, 770.516 )",
          "distance": 1500,
          "entry_angle": -48,
          "oscillation_amplitude": 900,
          "end_time": 99006,
          "type": "SustainNote"
        },
        {
          "time": 2162,
          "position": "Vector2( 857.128, 483.709 )",
          "distance": 1208,
          "entry_angle": 150,
          "oscillation_amplitude": 510,
          "type": "Note"
        },
        {
          "time": 1881,
          "position": "Vector2( 816, 348 )",
          "entry_angle": 180,
          "type": "Note"
        },
        {
          "time": 2631,
          "position": "Vector2( 1060.46, 592.462 )",
          "distance": 1218,
          "entry_angle": 90,
          "oscillation_amplitude": 526,
          "type": "Note"
        },
        {
          "time": 2443,
          "position": "Vector2( 966.674, 573.755 )",
          "distance": 1214,
          "entry_angle": 120,
          "oscillation_amplitude": 518,
          "type": "Note"
        },
        {
          "time": 5162,
          "position": "Vector2( 626.212, 482.867 )",
          "distance": 1282,
          "entry_angle": 187,
          "oscillation_amplitude": 610,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 4881,
          "position": "Vector2( 640, 624 )",
          "distance": 1276,
          "entry_angle": 157,
          "oscillation_amplitude": 600,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 5631,
          "position": "Vector2( 772.636, 304.734 )",
          "distance": 1294,
          "entry_angle": 247,
          "oscillation_amplitude": 626,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 5443,
          "position": "Vector2( 693.091, 357.824 )",
          "distance": 1290,
          "entry_angle": 217,
          "oscillation_amplitude": 618,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 8631,
          "position": "Vector2( 1496.46, 453.462 )",
          "distance": 1368,
          "entry_angle": 15,
          "oscillation_amplitude": 726,
          "type": "Note"
        },
        {
          "time": 8443,
          "position": "Vector2( 1496.46, 549.718 )",
          "distance": 1364,
          "entry_angle": 10,
          "oscillation_amplitude": 718,
          "type": "Note"
        },
        {
          "time": 8162,
          "position": "Vector2( 1496.46, 693.59 )",
          "distance": 1358,
          "entry_angle": 5,
          "oscillation_amplitude": 710,
          "type": "Note"
        },
        {
          "time": 7881,
          "position": "Vector2( 1496.46, 837.462 )",
          "distance": 1350,
          "oscillation_amplitude": 700,
          "type": "Note"
        },
        {
          "time": 19506,
          "position": "Vector2( 632.14, 394.195 )",
          "distance": 1500,
          "entry_angle": 175,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 22881,
          "position": "Vector2( 1005.8, 613.831 )",
          "distance": 1500,
          "entry_angle": 242.764147,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "end_time": 25131,
          "type": "SustainNote"
        },
        {
          "time": 27381,
          "position": "Vector2( 717.544, 613.831 )",
          "distance": 1500,
          "entry_angle": 254,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 33381,
          "position": "Vector2( 758.904, 432.061 )",
          "distance": 1500,
          "entry_angle": 191.231544,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "end_time": 34131,
          "type": "SustainNote"
        },
        {
          "time": 39381,
          "position": "Vector2( 1007.14, 680.297 )",
          "distance": 1500,
          "entry_angle": 286,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 42568,
          "position": "Vector2( 1344.19, 279.92 )",
          "distance": 1500,
          "entry_angle": 88,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 42381,
          "position": "Vector2( 1439.93, 279.92 )",
          "distance": 1500,
          "entry_angle": 90,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 43131,
          "position": "Vector2( 1055.93, 279.92 )",
          "distance": 1500,
          "entry_angle": 82,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 42943,
          "position": "Vector2( 1152.19, 279.92 )",
          "distance": 1500,
          "entry_angle": 84,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 46506,
          "position": "Vector2( 1425.12, 362.155 )",
          "distance": 1500,
          "entry_angle": -351,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 54193,
          "position": "Vector2( 1289.14, 575.054 )",
          "distance": 1500,
          "entry_angle": 123.72,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 54006,
          "position": "Vector2( 1204.82, 530.015 )",
          "distance": 1500,
          "entry_angle": 112.5,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 58131,
          "position": "Vector2( 519.651, 662.087 )",
          "distance": 1500,
          "entry_angle": -45.123571,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "end_time": 58412,
          "type": "SustainNote"
        },
        {
          "time": 61693,
          "position": "Vector2( 703.701, 658.299 )",
          "distance": 1500,
          "entry_angle": -140,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 61506,
          "position": "Vector2( 624, 708 )",
          "distance": 1500,
          "entry_angle": -135,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 65443,
          "position": "Vector2( 997.914, 502.242 )",
          "distance": 1500,
          "entry_angle": 101.28,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 65256,
          "position": "Vector2( 1089.38, 530.015 )",
          "distance": 1500,
          "entry_angle": 112.5,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 76131,
          "position": "Vector2( 1010.46, 530.462 )",
          "distance": 1256,
          "entry_angle": 180,
          "oscillation_amplitude": 576,
          "type": "Note"
        },
        {
          "time": 75943,
          "position": "Vector2( 991.755, 436.674 )",
          "distance": 1252,
          "entry_angle": 157.44,
          "oscillation_amplitude": 568,
          "type": "Note"
        },
        {
          "time": 75662,
          "position": "Vector2( 901.71, 327.128 )",
          "distance": 1244,
          "entry_angle": 123.72,
          "oscillation_amplitude": 560,
          "type": "Note"
        },
        {
          "time": 75381,
          "position": "Vector2( 766, 286 )",
          "distance": 1238,
          "entry_angle": 90,
          "oscillation_amplitude": 550,
          "type": "Note"
        },
        {
          "time": 82131,
          "position": "Vector2( 1153.72, 453 )",
          "distance": 1406,
          "entry_angle": -80,
          "oscillation_amplitude": 776,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 81943,
          "position": "Vector2( 1057.47, 453 )",
          "distance": 1402,
          "entry_angle": -85,
          "oscillation_amplitude": 768,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 81662,
          "position": "Vector2( 913.593, 453 )",
          "distance": 1394,
          "entry_angle": -90,
          "oscillation_amplitude": 760,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 81381,
          "position": "Vector2( 769.721, 453 )",
          "distance": 1388,
          "entry_angle": 135,
          "oscillation_amplitude": 750,
          "type": "Note"
        },
        {
          "time": 85131,
          "position": "Vector2( 765.67, 410.666 )",
          "distance": 1482,
          "entry_angle": 90,
          "oscillation_amplitude": 876,
          "type": "DoubleNote"
        },
        {
          "time": 84943,
          "position": "Vector2( 669.41, 410.666 )",
          "distance": 1476,
          "entry_angle": 90,
          "oscillation_amplitude": 868,
          "type": "DoubleNote"
        },
        {
          "time": 88881,
          "position": "Vector2( 1039.53, 691.529 )",
          "distance": 1500,
          "entry_angle": 270,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "end_time": 90756,
          "type": "SustainNote"
        },
        {
          "time": 91131,
          "position": "Vector2( 1224.09, 638.607 )",
          "distance": 1500,
          "entry_angle": 248.942112,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 103506,
          "position": "Vector2( 960, 660 )",
          "distance": 1500,
          "entry_angle": -180,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 112131,
          "position": "Vector2( 1083.65, 363.684 )",
          "distance": 1500,
          "entry_angle": 88,
          "oscillation_amplitude": 900,
          "type": "DoubleNote"
        },
        {
          "time": 117381,
          "position": "Vector2( 1056, 636 )",
          "distance": 1500,
          "entry_angle": 270,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "DoubleNote"
        },
        {
          "time": 119256,
          "position": "Vector2( 457.94, 696.688 )",
          "distance": 1500,
          "entry_angle": -135,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "DoubleNote"
        },
        {
          "time": 133693,
          "position": "Vector2( 1216.3, 658.299 )",
          "distance": 1500,
          "entry_angle": 320,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 124506,
          "position": "Vector2( 1248, 444 )",
          "distance": 1500,
          "entry_angle": -7,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 123381,
          "position": "Vector2( 928.211, 539.028 )",
          "distance": 1500,
          "entry_angle": 231.404791,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 125443,
          "position": "Vector2( 997.914, 502.242 )",
          "distance": 1500,
          "entry_angle": 101.28,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 125256,
          "position": "Vector2( 1089.38, 530.015 )",
          "distance": 1500,
          "entry_angle": 112.5,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 129381,
          "position": "Vector2( 1128.82, 390.558 )",
          "distance": 1500,
          "entry_angle": 136.131095,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 133506,
          "position": "Vector2( 1296, 708 )",
          "distance": 1500,
          "entry_angle": 315,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 136506,
          "position": "Vector2( 672, 444 )",
          "distance": 1500,
          "entry_angle": -40.594815,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 138006,
          "position": "Vector2( 1204.82, 530.015 )",
          "distance": 1500,
          "entry_angle": 112.5,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 138381,
          "position": "Vector2( 1363.44, 636 )",
          "distance": 1500,
          "entry_angle": 135,
          "oscillation_amplitude": 900,
          "end_time": 138756,
          "type": "SustainNote"
        },
        {
          "time": 141381,
          "position": "Vector2( 816, 324 )",
          "distance": 1500,
          "entry_angle": 74,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 142131,
          "position": "Vector2( 1185.12, 218.155 )",
          "distance": 1500,
          "entry_angle": 85.530581,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 146631,
          "position": "Vector2( 1060.46, 487.538 )",
          "distance": 1218,
          "entry_angle": -90,
          "oscillation_amplitude": 526,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 146443,
          "position": "Vector2( 966.674, 506.245 )",
          "distance": 1214,
          "entry_angle": -120,
          "oscillation_amplitude": 518,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 146162,
          "position": "Vector2( 857.128, 596.291 )",
          "distance": 1208,
          "entry_angle": -150,
          "oscillation_amplitude": 510,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 145881,
          "position": "Vector2( 816, 732 )",
          "entry_angle": -180,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 150193,
          "position": "Vector2( 868.38, 583.266 )",
          "distance": 1308,
          "entry_angle": 20,
          "oscillation_amplitude": 644,
          "type": "Note"
        },
        {
          "time": 150006,
          "position": "Vector2( 868.38, 679.01 )",
          "distance": 1304,
          "entry_angle": 10,
          "oscillation_amplitude": 638,
          "type": "Note"
        },
        {
          "time": 149818,
          "position": "Vector2( 868.38, 775.266 )",
          "distance": 1298,
          "oscillation_amplitude": 632,
          "type": "Note"
        },
        {
          "time": 152631,
          "position": "Vector2( 1496.46, 626.538 )",
          "distance": 1368,
          "entry_angle": -15,
          "oscillation_amplitude": 726,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 152443,
          "position": "Vector2( 1496.46, 530.282 )",
          "distance": 1364,
          "entry_angle": -10,
          "oscillation_amplitude": 718,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 152162,
          "position": "Vector2( 1496.46, 386.41 )",
          "distance": 1358,
          "entry_angle": -5,
          "oscillation_amplitude": 710,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 151881,
          "position": "Vector2( 1496.46, 242.538 )",
          "distance": 1350,
          "oscillation_amplitude": 700,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 157693,
          "position": "Vector2( 886.139, 740.601 )",
          "distance": 1496,
          "entry_angle": 215.98081,
          "oscillation_amplitude": 894,
          "type": "Note"
        },
        {
          "time": 11631,
          "position": "Vector2( 1150, 798.721 )",
          "distance": 1444,
          "entry_angle": 260,
          "oscillation_amplitude": 826,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 11443,
          "position": "Vector2( 1053.74, 798.721 )",
          "distance": 1440,
          "entry_angle": 265,
          "oscillation_amplitude": 818,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 85881,
          "position": "Vector2( 1149.67, 410.666 )",
          "distance": 1500,
          "entry_angle": 90,
          "oscillation_amplitude": 900,
          "end_time": 87006,
          "type": "SustainNote"
        },
        {
          "time": 16881,
          "position": "Vector2( 824.14, 586.195 )",
          "distance": 1500,
          "entry_angle": -341.95261,
          "oscillation_amplitude": 900,
          "end_time": 18756,
          "type": "SustainNote"
        },
        {
          "time": 138193,
          "position": "Vector2( 1289.14, 575.054 )",
          "distance": 1500,
          "entry_angle": 123.72,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 142506,
          "position": "Vector2( 1377.12, 194.155 )",
          "distance": 1500,
          "entry_angle": 91.295871,
          "oscillation_amplitude": 900,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 67881,
          "position": "Vector2( 860.263, 449.442 )",
          "distance": 1500,
          "entry_angle": 108,
          "oscillation_amplitude": 900,
          "end_time": 68631,
          "type": "SustainNote"
        },
        {
          "time": 157881,
          "position": "Vector2( 833.049, 820.147 )",
          "entry_angle": 202.44,
          "type": "Note"
        }
      ]
    },
    {
      "name": "SLIDE_LEFT",
      "timing_points": [

      ]
    },
    {
      "name": "SLIDE_RIGHT",
      "timing_points": [

      ]
    },
    {
      "name": "HEART",
      "timing_points": [
        {
          "time": 115881,
          "position": "Vector2( 816, 516 )",
          "distance": 1500,
          "note_type": 8,
          "entry_angle": 180,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 381,
          "position": "Vector2( 912, 900 )",
          "auto_time_out": false,
          "time_out": 1000,
          "note_type": 8,
          "entry_angle": 270.916588,
          "oscillation_amplitude": 10000000,
          "oscillation_frequency": -10000,
          "type": "Note"
        },
        {
          "time": 7131,
          "position": "Vector2( 1112.46, 837.462 )",
          "distance": 1332,
          "note_type": 8,
          "entry_angle": 299.233679,
          "oscillation_amplitude": 676,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 6943,
          "position": "Vector2( 1018.67, 818.755 )",
          "distance": 1326,
          "note_type": 8,
          "entry_angle": 310,
          "oscillation_amplitude": 668,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 6662,
          "position": "Vector2( 909.128, 728.709 )",
          "distance": 1320,
          "note_type": 8,
          "entry_angle": -40,
          "oscillation_amplitude": 660,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 6381,
          "position": "Vector2( 868, 593 )",
          "distance": 1312,
          "note_type": 8,
          "entry_angle": -30,
          "oscillation_amplitude": 650,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 12381,
          "position": "Vector2( 1394.46, 554.538 )",
          "distance": 1462,
          "note_type": 8,
          "entry_angle": 90,
          "oscillation_amplitude": 850,
          "type": "Note"
        },
        {
          "time": 12193,
          "position": "Vector2( 1300.67, 573.245 )",
          "distance": 1458,
          "note_type": 8,
          "entry_angle": 67.44,
          "oscillation_amplitude": 844,
          "type": "Note"
        },
        {
          "time": 12006,
          "position": "Vector2( 1221.6, 626.139 )",
          "distance": 1454,
          "note_type": 8,
          "entry_angle": 45,
          "oscillation_amplitude": 838,
          "type": "Note"
        },
        {
          "time": 11818,
          "position": "Vector2( 1168.51, 705.685 )",
          "distance": 1448,
          "note_type": 8,
          "entry_angle": 22.44,
          "oscillation_amplitude": 832,
          "type": "Note"
        },
        {
          "time": 84381,
          "position": "Vector2( 525.538, 554.538 )",
          "distance": 1462,
          "note_type": 8,
          "entry_angle": 90,
          "oscillation_amplitude": 850,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 84193,
          "position": "Vector2( 619.326, 573.245 )",
          "distance": 1458,
          "note_type": 8,
          "entry_angle": 112.56,
          "oscillation_amplitude": 844,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 84006,
          "position": "Vector2( 698.399, 626.139 )",
          "distance": 1454,
          "note_type": 8,
          "entry_angle": 135,
          "oscillation_amplitude": 838,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 83818,
          "position": "Vector2( 751.489, 705.685 )",
          "distance": 1448,
          "note_type": 8,
          "entry_angle": 157.56,
          "oscillation_amplitude": 832,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 79131,
          "position": "Vector2( 807.538, 837.462 )",
          "distance": 1332,
          "note_type": 8,
          "entry_angle": -119.233679,
          "oscillation_amplitude": 676,
          "type": "Note"
        },
        {
          "time": 78943,
          "position": "Vector2( 901.326, 818.755 )",
          "distance": 1326,
          "note_type": 8,
          "entry_angle": -130,
          "oscillation_amplitude": 668,
          "type": "Note"
        },
        {
          "time": 78662,
          "position": "Vector2( 1010.87, 728.709 )",
          "distance": 1320,
          "note_type": 8,
          "entry_angle": 220,
          "oscillation_amplitude": 660,
          "type": "Note"
        },
        {
          "time": 78381,
          "position": "Vector2( 1052, 593 )",
          "distance": 1312,
          "note_type": 8,
          "entry_angle": 210,
          "oscillation_amplitude": 650,
          "type": "Note"
        },
        {
          "time": 120381,
          "position": "Vector2( 921.473, 425.159 )",
          "distance": 1500,
          "note_type": 8,
          "entry_angle": 90,
          "oscillation_amplitude": 900,
          "type": "Note"
        },
        {
          "time": 156381,
          "position": "Vector2( 1394.46, 525.462 )",
          "distance": 1462,
          "note_type": 8,
          "entry_angle": -90,
          "oscillation_amplitude": 850,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 156193,
          "position": "Vector2( 1300.67, 506.755 )",
          "distance": 1458,
          "note_type": 8,
          "entry_angle": -67.44,
          "oscillation_amplitude": 844,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 156006,
          "position": "Vector2( 1221.6, 453.861 )",
          "distance": 1454,
          "note_type": 8,
          "entry_angle": -45,
          "oscillation_amplitude": 838,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 155818,
          "position": "Vector2( 1168.51, 374.315 )",
          "distance": 1448,
          "note_type": 8,
          "entry_angle": -22.44,
          "oscillation_amplitude": 832,
          "oscillation_frequency": -2,
          "type": "Note"
        },
        {
          "time": 151131,
          "position": "Vector2( 1112.46, 242.538 )",
          "distance": 1332,
          "note_type": 8,
          "entry_angle": -299.233679,
          "oscillation_amplitude": 676,
          "type": "Note"
        },
        {
          "time": 150943,
          "position": "Vector2( 1018.67, 261.245 )",
          "distance": 1326,
          "note_type": 8,
          "entry_angle": -310,
          "oscillation_amplitude": 668,
          "type": "Note"
        },
        {
          "time": 150662,
          "position": "Vector2( 909.128, 351.291 )",
          "distance": 1320,
          "note_type": 8,
          "entry_angle": 40,
          "oscillation_amplitude": 660,
          "type": "Note"
        },
        {
          "time": 150381,
          "position": "Vector2( 868, 487 )",
          "distance": 1312,
          "note_type": 8,
          "entry_angle": 30,
          "oscillation_amplitude": 650,
          "type": "Note"
        }
      ]
    },
    {
      "name": "SLIDE_LEFT2",
      "timing_points": [

      ]
    },
    {
      "name": "SLIDE_RIGHT2",
      "timing_points": [

      ]
    },
    {
      "name": "Events",
      "timing_points": [

      ]
    }
  ],
  "editor_settings": {
    "hidden_layers": [
      "SLIDE_RIGHT2",
      "SLIDE_LEFT2",
      "SLIDE_LEFT",
      "SLIDE_RIGHT"
    ],
    "bpm": 160,
    "offset": -1.119,
    "show_video": false,
    "show_bg": false,
    "diagonal_angle": 16,
    "type": "PerSongEditorSettings"
  },
  "format_version": 1
}